BorlandProcessor (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.borland.BorlandProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.borland
Class BorlandProcessor

    java.lang.Object
      net.sf.antcontrib.cpptasks.borland.BorlandProcessor

    public final class BorlandProcessor

extends java.lang.Object

A add-in class for Borland(r) processor adapters

Method Summary
`static void` | `addWarningSwitch(java.util.Vector args, int level)`
`static void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)`
`static java.io.File[]` | `getEnvironmentPath(java.lang.String toolName, char switchChar, java.lang.String[] defaultRelativePath)` This method extracts path information from the appropriate .cfg file in the install directory.
`static java.lang.String` | `getIncludeDirSwitch(java.lang.String includeOption, java.lang.String includeDir)`
`static java.lang.String[]` | `getLibraryPatterns(java.lang.String[] libnames, LibraryTypeEnum libType)`
`static java.lang.String[]` | `getOutputFileSwitch(java.lang.String outFile)`
`static void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)`
`static boolean` | `isCaseSensitive()`
`static java.lang.String[]` | `prepareResponseFile(java.io.File outputFile, java.lang.String[] args, java.lang.String continuation)` Prepares argument list to execute the linker using a response file.
`static void` | `quoteFile(java.lang.StringBuffer buf, java.lang.String outPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addWarningSwitch

    public static void addWarningSwitch(java.util.Vector args,
                                        int level)

### getDefineSwitch

    public static void getDefineSwitch(java.lang.StringBuffer buffer,
                                       java.lang.String define,
                                       java.lang.String value)

### getEnvironmentPath

    public static java.io.File[] getEnvironmentPath(java.lang.String toolName,
                                                    char switchChar,
                                                    java.lang.String[] defaultRelativePath)

  This method extracts path information from the appropriate .cfg file in the install directory.

  Parameters:
    `toolName` - Tool name, for example, "bcc32", "brc32", "ilink32"
    `switchChar` - Command line switch character, for example "L" for libraries
    `defaultRelativePath` - default path relative to executable directory
  Returns:
    path

### getIncludeDirSwitch

    public static java.lang.String getIncludeDirSwitch(java.lang.String includeOption,
                                                       java.lang.String includeDir)

### getLibraryPatterns

    public static java.lang.String[] getLibraryPatterns(java.lang.String[] libnames,
                                                        LibraryTypeEnum libType)

### getOutputFileSwitch

    public static java.lang.String[] getOutputFileSwitch(java.lang.String outFile)

### getUndefineSwitch

    public static void getUndefineSwitch(java.lang.StringBuffer buffer,
                                         java.lang.String define)

### isCaseSensitive

    public static boolean isCaseSensitive()

### quoteFile

    public static void quoteFile(java.lang.StringBuffer buf,
                                 java.lang.String outPath)

### prepareResponseFile

    public static java.lang.String[] prepareResponseFile(java.io.File outputFile,
                                                         java.lang.String[] args,
                                                         java.lang.String continuation)
                                                  throws java.io.IOException

  Prepares argument list to execute the linker using a response file.

  Parameters:
    `outputFile` - linker output file
    `args` - output of prepareArguments
  Returns:
    arguments for runTask
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.